View Issue Details

IDProjectCategoryView StatusLast Update
0000271Usermanagement[Adventure PHP Framework] Bugpublic2015-12-03 08:15
ReporterGeneral CrimeAssigned ToChristianAchatz 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version[Adventure PHP Framework] 3.0.2 
Target VersionFixed in Version[Adventure PHP Framework] 3.1 
Summary0000271: Funktion loadUserByEMail gibt nicht relevante Daten der Tabelle aus.
DescriptionHeute ist mir aufgefallen das wenn ich mich einloggen will und danach etwas in dem geladenen Benutzer ändern will, ohne diesen nochmal zu laden, wird mir ein Fehler ausgeworfen.
Steps To Reproduce$User = $uM->loadUserByEMail(***);
$User->setFirstName('Neuer Name');
$uM->saveUser($User);
Additional InformationFehler im allgemeinen:
Undefined index: Source_ApplicationID
Undefined index: Target_UserID
Undefined index: ApplicationID

[MySQLiHandler->executeTextStatement()] (1054) Unknown column 'Source_ApplicationID' in 'field list' (Statement: UPDATE ent_user SET `DisplayName` = 'Umgt', `FirstName` = 'Christian', `LastName` = 'Merz', `StreetName` = '', `StreetNumber` = '', `ZIPCode` = '', `City` = 'Bremervörde', `EMail` = '*****', `Phone` = '', `Mobile` = '', `Username` = 'GCrime', `DynamicSalt` = '******', `LoveCharakter` = 'Richard Woolsey', `Birthday` = '1982-06-07 00:00:00', `Quote` = 'Am besten lernt man wenn man es macht. So hab ich alle hier nötigen Sprachen gelernt und ich lerne immer noch.', `LastLogin` = '2015-11-04 11:53:00', `Source_ApplicationID` = '1', `Target_UserID` = '1', `ApplicationID` = '1', ModificationTimestamp = NOW() WHERE UserID= '1';)

Die SQL Abfrage lautet:
$select = 'SELECT * FROM `ent_user`
                 INNER JOIN cmp_application2user ON ent_user.UserID = cmp_application2user.Target_UserID
                 INNER JOIN ent_application ON cmp_application2user.Source_ApplicationID = ent_application.ApplicationID
                 WHERE
                     ent_application.ApplicationID = \'' . $this->applicationId . '\'
                     AND `EMail` = \'' . $email . '\';';

Fehler wird vermieden durch:
$select = 'SELECT ent_user.* ...........
Tagsumgt
Codereferenz: ([Datei]:[Zeile])UmgtManager:740

Relationships

related to 0000277 resolvedChristianAchatz CLONE - Funktion loadUserByEMail gibt nicht relevante Daten der Tabelle aus. 

Activities

General Crime

2015-11-04 12:01

developer   ~0000635

Hab die geänderte Datei mit eingefügt.
PGP v.5.16.14/12 werden nun bei mir genutzt jedoch sollte der Fehler bei jedem auftauchen.

ChristianAchatz

2015-11-06 14:53

administrator   ~0000640

Danke für's Melden! Schaue ich mir nach meinem Urlaub (bin am 30.11. wieder da) direkt an.

General Crime

2015-11-18 11:52

developer   ~0000642

Wie befürchtet ist dieses Fehler bei allem SQL Abfragen die nun die Application mit prüfen vorhanden.

Issue History

Date Modified Username Field Change
2015-11-04 11:59 General Crime New Issue
2015-11-04 12:01 General Crime Note Added: 0000635
2015-11-04 13:11 General Crime Tag Attached: umgt
2015-11-06 14:53 ChristianAchatz Note Added: 0000640
2015-11-18 11:52 General Crime Note Added: 0000642
2015-11-30 15:12 ChristianAchatz Assigned To => ChristianAchatz
2015-11-30 15:12 ChristianAchatz Status new => assigned
2015-12-03 08:15 ChristianAchatz Issue cloned: 0000277
2015-12-03 08:15 ChristianAchatz Relationship added related to 0000277
2015-12-03 08:15 ChristianAchatz Status assigned => resolved
2015-12-03 08:15 ChristianAchatz Fixed in Version => 3.1
2015-12-03 08:15 ChristianAchatz Resolution open => fixed